{
  inputs,
  config,
  pkgs,
  ...
}:
let
  name = "jordan";
in
{
  age.secrets."passwords/users/jordan".file = "${inputs.secrets}/passwords/users/jordan.age";

  users.users.${name} = {
    description = "Jordan Holt";
    extraGroups = [
      "audio"
      "docker"
      "lxd"
      "networkmanager"
      "wheel"
    ];
    group = "users";
    hashedPasswordFile = config.age.secrets."passwords/users/jordan".path;
    isNormalUser = true;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILVHTjsyMIV4THNw6yz0OxAxGnC+41gX72UrPqTzR+OS jordan@vimium.com"
    ];
    shell = pkgs.zsh;
    uid = 1000;
  };

  home-manager.users.${name} = {
    imports = [
      ./git.nix
      ./gpg.nix
      ./graphical
      ./neovim.nix
      ./pass.nix
      ./shell.nix
    ];

    home = {
      username = name;
    };
  };
}
